Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.dig
Class PelletDIGServer

    java.lang.Object
      org.mortbay.http.handler.AbstractHttpHandler
          org.mindswap.pellet.dig.PelletDIGServer

All Implemented Interfaces:
  java.io.Serializable, org.mortbay.http.HttpHandler, org.mortbay.util.LifeCycle

    public class PelletDIGServer

extends org.mortbay.http.handler.AbstractHttpHandler
implements org.mortbay.http.HttpHandler

An implementation of DIG server. This is a simple HTTP server that listens for the DIG commands and processes them through PelletDIGReasoner. The port that the server uses can be selected by the command line option:

     Usage: java PelletDIGServer [-port portNum]
      -port portNum           The port number user by the server (default
                              port number used is 8081)
      -help                   Print this information

Author:
  Evren Sirin
See Also:
  Serialized Form

Field Summary
`static int` | `DEFAULT_PORT`

Constructor Summary
`PelletDIGServer()`

Method Summary
`void` | `handle(java.lang.String pathInContext, java.lang.String pathParams, org.mortbay.http.HttpRequest request, org.mortbay.http.HttpResponse response)`
`static void` | `main(java.lang.String[] args)`

Methods inherited from class org.mortbay.http.handler.AbstractHttpHandler
`getHttpContext, getName, handleTrace, initialize, isStarted, setName, start, stop, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mortbay.http.HttpHandler
`getHttpContext, getName, initialize`

Methods inherited from interface org.mortbay.util.LifeCycle
`isStarted, start, stop`

Field Detail

### DEFAULT_PORT

    public static int DEFAULT_PORT

Constructor Detail

### PelletDIGServer

    public PelletDIGServer()

Method Detail

### handle

    public void handle(java.lang.String pathInContext,
                       java.lang.String pathParams,
                       org.mortbay.http.HttpRequest request,
                       org.mortbay.http.HttpResponse response)

  Specified by:
    `handle` in interface `org.mortbay.http.HttpHandler`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.